<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;

class CheckMd5Password implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        $session_user = \Session::get('user');
        $user = \App\User::getUser($session_user);
        if (isset($user->password) && md5($value) == $user->password) return true;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return 'Вы ввели неверный текущий пароль';
    }
}
